Printable version

Drivers & software

HPE ProLiant Agentless Management Service for SUSE LINUX Enterprise Server 11 (AMD64/EM64T)

By downloading, you agree to the terms and conditions of the Hewlett Packard Enterprise Software License Agreement.
Note:  Some software requires a valid warranty, current Hewlett Packard Enterprise support contract, or a license fee.

Type: Software - System Management
Version: 2.7.0(5 Feb 2018)
Operating System(s):
SUSE Linux Enterprise Server 11 (AMD64/EM64T)
File name: hp-ams-2.7.0-2652.22.sles11.x86_64.rpm (565 KB)
The HPE Agentless Management Service (hp-ams) provides support for HP Integrated Lights-Out 4 (HP iLO 4) Embedded Health and Alerting.

Prerequisites:

  • hp-ams only supported on HP ProLiant Gen8 and Gen9 Servers.
  • hp-ams provides information to the HP iLO 4 service providing SNMP support.
  • SNMP PASS-THRU on the HP iLO 4 MUST be disabled, and SNMP should be configured on the HP iLO 4. The HP iLO 4 may need to be reset after changing these settings.
  • Requirements:
    • Minimum HP iLO 4 Firmware Version = 1.05
    • Minimum supported OS Versions = Red Hat Enterprise Linux 5.6, Red Hat Enterprise Linux 6.0, SuSE Linux Enterprise Server 10 SP4, SuSE Linux Enterprise Server 11 SP1

To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

904f2120746371bea873d639bebbe13fd567e0c8a6a4017bd1e3ea200cf6abea hp-ams-2.7.0-2652.22.sles11.x86_64.rpm

Reboot Requirement:
Reboot is not required after installation for updates to take effect and hardware stability to be maintained.


Installation:

Login as the system administrator (root), download the RPM to a directory on your hard drive and change to that directory.

To install the package type:

      rpm -ivh hp-ams-<version>.rpm

To check whether the package is loaded properly type:

      /etc/init.d/hp-ams status

Additional help is available by typing:

      man hp-ams


End User License Agreements:
HPE Software License Agreement v1


Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Notes:

Diagnosing connection issues:

Verify that the HP iLO 4 is talking to SNMP from a Linux system with net-snmp utilities installed:

snmpwalk -t 60 -v 2c -Ox -c iLO4_configured_community_string iLO4_IP_Address 1.3.6.1.4.1.232.1.1

Verify that HP AMS is operating on the Server:

snmpwalk -t 60 -v 2c -Ox -c iLO4_configured_community_string iLO4_IP_Address 1.3.6.1.4.1.232.5.1


Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed the following items:

  • Changed priority of handling for NIC interfaces
  • Added support for the following new hardware options:
    • HPE XL1x0r Ethernet 10Gb 2-port 568FLR-MMT Adapter
    • HPE SGI Performance Dual Plane CX5 InfiniBand EDR with 2x1-port HCA Mezzanine Card (Ethernet Only)
    • HPE Ethernet 10Gb 2-port 522FLR-T Converged Network Adapter
    • HPE Smart Array P824i-p Controller
Version:2.9.0 (2 Apr 2019)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed the following items:

  • All disks are opened RDONLY to send ioctl()’s to get drive information.
  • Improved SATA channel determination for SATA drives.
  • Corrected errors for lost memory allocations.

Version:2.8.2 (27 Nov 2018)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed the following items:

  • Traps for Fibre Channel and Events are now correctly logged to the iLO IML

Version:2.8.1 (27 Sep 2018)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed the following items:

  •  Memory leaks
  • Use /etc/os-release as authoritative when present
  • Handle VLAN interfaces before regular interfaces.
  • Fix some instances where ‘signed char’ should have been ‘unsigned char’

 


Version:2.8.0 (26 Jun 2018)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed the following items:

  • When NIC bonding is configured; addressed issue where information was not displayed correctly within hp-ams
  • Prioritized VLAN interfaces before Ethernet interfaces to correctly obtain the fibre channel controller information within hp-ams
  • Ensure the proper bounds are validated before releasing memory with Scandir

Version:2.7.0 (5 Feb 2018)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed the following items:

  • Changed priority of handling for NIC interfaces
  • Added support for the following new hardware options:
    • HPE XL1x0r Ethernet 10Gb 2-port 568FLR-MMT Adapter
    • HPE SGI Performance Dual Plane CX5 InfiniBand EDR with 2x1-port HCA Mezzanine Card (Ethernet Only)
    • HPE Ethernet 10Gb 2-port 522FLR-T Converged Network Adapter
    • HPE Smart Array P824i-p Controller

Version:2.6.2 (25 Sep 2017)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed the following items:

  • Improved handling of IPV6 addresses

  • Updated for RHEL 7.4 support

  • Supports SLES12 SP3

  • Improved handling of SATA drive temperatures


Version:2.6.1 (12 Jul 2017)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed the following items:

  • AMS now lists RPMs for more non-distro vendors
  • CPQNICiflogmapphysicaladapters is now null for Loopback Interfaces
  • CPQNICiflogadapterokcount equals zero when there is no link
  • Fixed a segfault when more than 10 IPv6 addresses are configured on an interface.

Version:2.6.0 (21 Apr 2017)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed the following items:

  • Segfault violation during network restart
  • hp-ams hpHelper/amsHelper process consumes excessive CPU
  • Segfaults caused by using wrong MIB element size
  • File permissions for hp-ams service
Enhancements

  • Improvements in disk temperature and SMART monitoring

Version:2.5.0 (24 Oct 2016)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed following issues:

  • AMS now reflects correct numbering of SATA drives in SATA enclosures attached to SATA controllers.
  • AMS now reflects correct enumeration of SATA drives and SATA controllers.
  • AMS now generates traps when SATA drives are removed or inserted when connected to SATA controllers.
  • AMS now updates proper cpqFcaMibCondition.
  • AMS now generates traps for NVMe drives.
  • AMS now sends proper value of cpqSiServerSystemId in cpqNic traps.
  • No segfault occurs when hot plugging of PCI devices.
Enhancements

Added support for new HPE ProLiant Gen9 Servers.


Version:2.4.0 (1 Apr 2016)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • AMS now reflects the actual structure of SATA controllers and drives and not the Linux kernels.
  • AMS now uses PCI VPD data, then pci.ids database, then internal NIC_DB to determine controller names.
  • AMS now ignores all scsi host controllers using the hpsa kernel module in the cpqScsi MIB handler.
  • AMS looks at the RPM Packager tag to determine installed software (cpqHoSwVerTable) in addition to the RPM Vendor tag.
  • AMS now uses other methods to get the correct process name if the value coming from procfs is truncated.
  • AMS uses PCI config space to get PCI link width.
Enhancements

  • Added support for new HPE ProLiant Gen9 Servers.
  • Added support for NVMe drives and hot-plug PCIe (NVMe).
  • Added option to specify RPM vendor on command line to include in cpqHoSwVerTable.
  • Added new HPE PCI ID when looking for HPE devices.
  • Change name of AMS daemon from hpHelper to amsHelper.
  • Added cpqIdeAtaDiskSSDWearStatusChange trap generation.

Version:2.3.0 (1 Oct 2015)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed following issues:

  • Send correct CDB for SSD drives.
  • Correct speed shown for unconfigured NIC port.
  • Return values for logical NIC interfaces which does not support speed entries in sysfs.
Enhancements

  • Added support for new HP ProLiant Gen9 Servers.

Version:2.2.0 (15 Jun 2015)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for new HP ProLiant Gen9 Servers.

Logging of Kernel Module change has been made dynamic to AHS.

Added support for the following network adapters:

  • HP Ethernet 10Gb 2-port 562SFLR-SFP+ Adapter
  • HP Ethernet 10Gb 2-port 562SFP+ Adapter
  • HP FlexFabric 20G 2-port 631M Adapter

Version:2.1.0 (30 Mar 2015)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed following issues:

  • Hard Disk Drives with Firmware versions longer than 4 characters are no longer truncated.
  • Ignore failed drives when attempting to retrieve drive statistics.
  • Correctly handle PCIe bridges when used in front of PCI-X devices on add-in cards.
  • Correctly handle systems with more than 10 SCSI hosts.
Enhancements

  • Added support for new HP ProLiant Gen9 Servers.
  • Improvements to handling of FibreChannel and SAS MIB elements.
  • Support for New network controllers.
  • Support for returning SAS and SATA drive temperatures.

Version:2.0.0 (9 Sep 2014)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed following issues:

  • Truncation of HP NIC (Networking Interface Card) names, PCI Vendor and Device descriptions.
  • Reporting incorrect values for  cpqNicIfPhysAdapterDuplexState and cpqNicIfPhysAdapterSpeedMbps MIBs for connected Network ports.
  • Storage cards (including FCoE and CNA devices) that did not have the PCI sub-vendor and PCI sub-devices present in the Linux distributions pci.ids file were reporting "HP Company Device" in cpqSePciSlotBoardNames MIB.  They now report the description for the PCI Vendor and Device contained in the pci.ids file.
  • Physical Drive Status Change (5022) trap was not being sent when a Hard Disk Drive was inserted, when internal drive cage connected to HP H222 Host Bus Adapter.
  • Reporting incorrect drive placement for internal Hard Disk Drives when internal drive cage connected to HP H222 Host Bus Adapter.
Enhancements

Added support for:

  • HP ProLiant Gen9 Servers.
  • New HP Converged Network Adapters.

Version:1.5.0 (18 Feb 2014)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for:

  • New HP ProLiant Gen8 Servers.
  • UEFI (Unified Extensible Firmware Interface) platform.
  • Linux Operating System Management Functions (cpqLinOs (.1.3.6.1.4.1.232.23) MIBs).
  • Fibre Channel HBAs (cpqFca (.1.3.6.1.4.1.232) MIBs).
  • MIB-II for IPv6.

Version:1.4.1 (10 Sep 2013)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Support for cpqNicIfLogMapDHCP MIB element, which is used in iLO eRS transmission for Service Events and L2 Collections, is now provided in hp-ams version 1.4.1. This MIB element was provided in previous hp-ams versions 1.3.0 and older.


Version:1.4.0 (10 Sep 2013)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


hp-ams service daemon failed to start on HP ProLiant Gen8 v2 servers.

Enhancements

  • Added support for New HP ProLiant Gen8 and Gen8 v2 servers.
  • Enhanced NIC database to facilitate searching for the term Gen8 and for supported NICs.

Version:1.3.5 (17 Jun 2013)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • Fixed an issue where hp-ams appears to cause segmentation fault (Segfault).
  • Fixed an issue where product name for ProLiant Gen8 v2 servers was not being correctly parsed.
Enhancements

Added support for the following servers:

  • HP ProLiant DL320e Gen8 v2 Server
  • HP ProLiant ML310e Gen8 v2 Server
  • HP ProLiant MicroServer Gen8

Version:1.3.0 (19 Feb 2013)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • Fixed where not all Linux kernel modules were being logged to AHS.
  • Removed misleading comment from startup script.
  • Fixed hp-ams segfault or floating point exception when writing periodic CPU data to AHS.
  • Fixed formulas and calculating CPU usage to use previous sample and not from boot time.
  • Fixed issue when walking Compaq enterprise MIB, walk would stop after walking cpqHoFwVerTable.
  • Fixed issue where cpqNic was not correctly handling interface status, which affected cpqHoMibStatusArray.
Enhancements

  • Added support for New HP ProLiant Gen8 Servers.
  • Added additional MIB-II support.
  • Added /opt/hp/hp-ams folder and hp-ams.license.

Version:1.2.5 (26 Oct 2012)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed an issue where periodic CPU usage would cause either Segmentation Faults or Floating Point Exceptions when doing periodic Active Health Service (AHS) logging.

Enhancements

  • Added support for New HP ProLiant Gen8 Servers.
  • When CPU usage was being calculated the percentage of time being spent in either "User" or "kernel" mode it was based on the time spent in either state from when the system was started.  This has been changed to reflect the amount of time spent in each state during the sample period.

Version:1.2.0 (4 Sep 2012)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • Added support for new HP ProLiant Gen8 Servers.
  • The HP iLO 4 firmware v1.10 and later will send Integrated Management Log (IML) events to HP AMS, which then logs them with the OS's syslog() service.
  • Installed HP packages are now logged to Active Health Service (AHS).

Version:1.1.0 (4 Jun 2012)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Linux Agentless Management Service (AMS) only sends the necessary data to the Active Health Service (AHS), not the maximum buffer size.

Enhancements

  • Uses extra iLO channels if available
  • Now Logging packages to Active Health Service(AHS) that are HP packages
  • Added additional MIB-II elements
  • Improved cpqNicIfLogtable results
  • Internally uses net-snmp-5.7.1 Long Term Support(LTS) from net-snmp-5.7

Version:1.0.0 (27 Mar 2012)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Initial release.


Type: Software - System Management
Version: 2.7.0(5 Feb 2018)
Operating System(s):
SUSE Linux Enterprise Server 11 (AMD64/EM64T)

Description

The HPE Agentless Management Service (hp-ams) provides support for HP Integrated Lights-Out 4 (HP iLO 4) Embedded Health and Alerting.

Installation Instructions

Prerequisites:

  • hp-ams only supported on HP ProLiant Gen8 and Gen9 Servers.
  • hp-ams provides information to the HP iLO 4 service providing SNMP support.
  • SNMP PASS-THRU on the HP iLO 4 MUST be disabled, and SNMP should be configured on the HP iLO 4. The HP iLO 4 may need to be reset after changing these settings.
  • Requirements:
    • Minimum HP iLO 4 Firmware Version = 1.05
    • Minimum supported OS Versions = Red Hat Enterprise Linux 5.6, Red Hat Enterprise Linux 6.0, SuSE Linux Enterprise Server 10 SP4, SuSE Linux Enterprise Server 11 SP1

To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

904f2120746371bea873d639bebbe13fd567e0c8a6a4017bd1e3ea200cf6abea hp-ams-2.7.0-2652.22.sles11.x86_64.rpm

Reboot Requirement:
Reboot is not required after installation for updates to take effect and hardware stability to be maintained.


Installation:

Login as the system administrator (root), download the RPM to a directory on your hard drive and change to that directory.

To install the package type:

      rpm -ivh hp-ams-<version>.rpm

To check whether the package is loaded properly type:

      /etc/init.d/hp-ams status

Additional help is available by typing:

      man hp-ams


Release Notes

End User License Agreements:
HPE Software License Agreement v1


Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Notes:

Diagnosing connection issues:

Verify that the HP iLO 4 is talking to SNMP from a Linux system with net-snmp utilities installed:

snmpwalk -t 60 -v 2c -Ox -c iLO4_configured_community_string iLO4_IP_Address 1.3.6.1.4.1.232.1.1

Verify that HP AMS is operating on the Server:

snmpwalk -t 60 -v 2c -Ox -c iLO4_configured_community_string iLO4_IP_Address 1.3.6.1.4.1.232.5.1


Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed the following items:

  • Changed priority of handling for NIC interfaces
  • Added support for the following new hardware options:
    • HPE XL1x0r Ethernet 10Gb 2-port 568FLR-MMT Adapter
    • HPE SGI Performance Dual Plane CX5 InfiniBand EDR with 2x1-port HCA Mezzanine Card (Ethernet Only)
    • HPE Ethernet 10Gb 2-port 522FLR-T Converged Network Adapter
    • HPE Smart Array P824i-p Controller

Revision History

Version:2.9.0 (2 Apr 2019)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed the following items:

  • All disks are opened RDONLY to send ioctl()’s to get drive information.
  • Improved SATA channel determination for SATA drives.
  • Corrected errors for lost memory allocations.

Version:2.8.2 (27 Nov 2018)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed the following items:

  • Traps for Fibre Channel and Events are now correctly logged to the iLO IML

Version:2.8.1 (27 Sep 2018)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed the following items:

  •  Memory leaks
  • Use /etc/os-release as authoritative when present
  • Handle VLAN interfaces before regular interfaces.
  • Fix some instances where ‘signed char’ should have been ‘unsigned char’

 


Version:2.8.0 (26 Jun 2018)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed the following items:

  • When NIC bonding is configured; addressed issue where information was not displayed correctly within hp-ams
  • Prioritized VLAN interfaces before Ethernet interfaces to correctly obtain the fibre channel controller information within hp-ams
  • Ensure the proper bounds are validated before releasing memory with Scandir

Version:2.7.0 (5 Feb 2018)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed the following items:

  • Changed priority of handling for NIC interfaces
  • Added support for the following new hardware options:
    • HPE XL1x0r Ethernet 10Gb 2-port 568FLR-MMT Adapter
    • HPE SGI Performance Dual Plane CX5 InfiniBand EDR with 2x1-port HCA Mezzanine Card (Ethernet Only)
    • HPE Ethernet 10Gb 2-port 522FLR-T Converged Network Adapter
    • HPE Smart Array P824i-p Controller

Version:2.6.2 (25 Sep 2017)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed the following items:

  • Improved handling of IPV6 addresses

  • Updated for RHEL 7.4 support

  • Supports SLES12 SP3

  • Improved handling of SATA drive temperatures


Version:2.6.1 (12 Jul 2017)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed the following items:

  • AMS now lists RPMs for more non-distro vendors
  • CPQNICiflogmapphysicaladapters is now null for Loopback Interfaces
  • CPQNICiflogadapterokcount equals zero when there is no link
  • Fixed a segfault when more than 10 IPv6 addresses are configured on an interface.

Version:2.6.0 (21 Apr 2017)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed the following items:

  • Segfault violation during network restart
  • hp-ams hpHelper/amsHelper process consumes excessive CPU
  • Segfaults caused by using wrong MIB element size
  • File permissions for hp-ams service
Enhancements

  • Improvements in disk temperature and SMART monitoring

Version:2.5.0 (24 Oct 2016)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed following issues:

  • AMS now reflects correct numbering of SATA drives in SATA enclosures attached to SATA controllers.
  • AMS now reflects correct enumeration of SATA drives and SATA controllers.
  • AMS now generates traps when SATA drives are removed or inserted when connected to SATA controllers.
  • AMS now updates proper cpqFcaMibCondition.
  • AMS now generates traps for NVMe drives.
  • AMS now sends proper value of cpqSiServerSystemId in cpqNic traps.
  • No segfault occurs when hot plugging of PCI devices.
Enhancements

Added support for new HPE ProLiant Gen9 Servers.


Version:2.4.0 (1 Apr 2016)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • AMS now reflects the actual structure of SATA controllers and drives and not the Linux kernels.
  • AMS now uses PCI VPD data, then pci.ids database, then internal NIC_DB to determine controller names.
  • AMS now ignores all scsi host controllers using the hpsa kernel module in the cpqScsi MIB handler.
  • AMS looks at the RPM Packager tag to determine installed software (cpqHoSwVerTable) in addition to the RPM Vendor tag.
  • AMS now uses other methods to get the correct process name if the value coming from procfs is truncated.
  • AMS uses PCI config space to get PCI link width.
Enhancements

  • Added support for new HPE ProLiant Gen9 Servers.
  • Added support for NVMe drives and hot-plug PCIe (NVMe).
  • Added option to specify RPM vendor on command line to include in cpqHoSwVerTable.
  • Added new HPE PCI ID when looking for HPE devices.
  • Change name of AMS daemon from hpHelper to amsHelper.
  • Added cpqIdeAtaDiskSSDWearStatusChange trap generation.

Version:2.3.0 (1 Oct 2015)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed following issues:

  • Send correct CDB for SSD drives.
  • Correct speed shown for unconfigured NIC port.
  • Return values for logical NIC interfaces which does not support speed entries in sysfs.
Enhancements

  • Added support for new HP ProLiant Gen9 Servers.

Version:2.2.0 (15 Jun 2015)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for new HP ProLiant Gen9 Servers.

Logging of Kernel Module change has been made dynamic to AHS.

Added support for the following network adapters:

  • HP Ethernet 10Gb 2-port 562SFLR-SFP+ Adapter
  • HP Ethernet 10Gb 2-port 562SFP+ Adapter
  • HP FlexFabric 20G 2-port 631M Adapter

Version:2.1.0 (30 Mar 2015)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed following issues:

  • Hard Disk Drives with Firmware versions longer than 4 characters are no longer truncated.
  • Ignore failed drives when attempting to retrieve drive statistics.
  • Correctly handle PCIe bridges when used in front of PCI-X devices on add-in cards.
  • Correctly handle systems with more than 10 SCSI hosts.
Enhancements

  • Added support for new HP ProLiant Gen9 Servers.
  • Improvements to handling of FibreChannel and SAS MIB elements.
  • Support for New network controllers.
  • Support for returning SAS and SATA drive temperatures.

Version:2.0.0 (9 Sep 2014)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed following issues:

  • Truncation of HP NIC (Networking Interface Card) names, PCI Vendor and Device descriptions.
  • Reporting incorrect values for  cpqNicIfPhysAdapterDuplexState and cpqNicIfPhysAdapterSpeedMbps MIBs for connected Network ports.
  • Storage cards (including FCoE and CNA devices) that did not have the PCI sub-vendor and PCI sub-devices present in the Linux distributions pci.ids file were reporting "HP Company Device" in cpqSePciSlotBoardNames MIB.  They now report the description for the PCI Vendor and Device contained in the pci.ids file.
  • Physical Drive Status Change (5022) trap was not being sent when a Hard Disk Drive was inserted, when internal drive cage connected to HP H222 Host Bus Adapter.
  • Reporting incorrect drive placement for internal Hard Disk Drives when internal drive cage connected to HP H222 Host Bus Adapter.
Enhancements

Added support for:

  • HP ProLiant Gen9 Servers.
  • New HP Converged Network Adapters.

Version:1.5.0 (18 Feb 2014)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for:

  • New HP ProLiant Gen8 Servers.
  • UEFI (Unified Extensible Firmware Interface) platform.
  • Linux Operating System Management Functions (cpqLinOs (.1.3.6.1.4.1.232.23) MIBs).
  • Fibre Channel HBAs (cpqFca (.1.3.6.1.4.1.232) MIBs).
  • MIB-II for IPv6.

Version:1.4.1 (10 Sep 2013)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Support for cpqNicIfLogMapDHCP MIB element, which is used in iLO eRS transmission for Service Events and L2 Collections, is now provided in hp-ams version 1.4.1. This MIB element was provided in previous hp-ams versions 1.3.0 and older.


Version:1.4.0 (10 Sep 2013)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


hp-ams service daemon failed to start on HP ProLiant Gen8 v2 servers.

Enhancements

  • Added support for New HP ProLiant Gen8 and Gen8 v2 servers.
  • Enhanced NIC database to facilitate searching for the term Gen8 and for supported NICs.

Version:1.3.5 (17 Jun 2013)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • Fixed an issue where hp-ams appears to cause segmentation fault (Segfault).
  • Fixed an issue where product name for ProLiant Gen8 v2 servers was not being correctly parsed.
Enhancements

Added support for the following servers:

  • HP ProLiant DL320e Gen8 v2 Server
  • HP ProLiant ML310e Gen8 v2 Server
  • HP ProLiant MicroServer Gen8

Version:1.3.0 (19 Feb 2013)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • Fixed where not all Linux kernel modules were being logged to AHS.
  • Removed misleading comment from startup script.
  • Fixed hp-ams segfault or floating point exception when writing periodic CPU data to AHS.
  • Fixed formulas and calculating CPU usage to use previous sample and not from boot time.
  • Fixed issue when walking Compaq enterprise MIB, walk would stop after walking cpqHoFwVerTable.
  • Fixed issue where cpqNic was not correctly handling interface status, which affected cpqHoMibStatusArray.
Enhancements

  • Added support for New HP ProLiant Gen8 Servers.
  • Added additional MIB-II support.
  • Added /opt/hp/hp-ams folder and hp-ams.license.

Version:1.2.5 (26 Oct 2012)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed an issue where periodic CPU usage would cause either Segmentation Faults or Floating Point Exceptions when doing periodic Active Health Service (AHS) logging.

Enhancements

  • Added support for New HP ProLiant Gen8 Servers.
  • When CPU usage was being calculated the percentage of time being spent in either "User" or "kernel" mode it was based on the time spent in either state from when the system was started.  This has been changed to reflect the amount of time spent in each state during the sample period.

Version:1.2.0 (4 Sep 2012)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • Added support for new HP ProLiant Gen8 Servers.
  • The HP iLO 4 firmware v1.10 and later will send Integrated Management Log (IML) events to HP AMS, which then logs them with the OS's syslog() service.
  • Installed HP packages are now logged to Active Health Service (AHS).

Version:1.1.0 (4 Jun 2012)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Linux Agentless Management Service (AMS) only sends the necessary data to the Active Health Service (AHS), not the maximum buffer size.

Enhancements

  • Uses extra iLO channels if available
  • Now Logging packages to Active Health Service(AHS) that are HP packages
  • Added additional MIB-II elements
  • Improved cpqNicIfLogtable results
  • Internally uses net-snmp-5.7.1 Long Term Support(LTS) from net-snmp-5.7

Version:1.0.0 (27 Mar 2012)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Initial release.


Legal Disclaimer: Products sold prior to the November 1, 2015 separation of Hewlett-Packard Company into Hewlett Packard Enterprise Company and HP Inc. may have older product names and model numbers that differ from current models.